<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.PatrolInspectionPersonnelMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.PatrolInspectionPersonnel">
        <id column="id" property="id" />
        <result column="user_id" property="userId" />
        <result column="area_id" property="areaId" />
        <result column="tenant_id" property="tenantId" />
        <result column="create_time" property="createTime" />
        <result column="creator" property="creator" />
        <result column="enable" property="enable" />
        <result column="company_id" property="companyId" />
        <result column="operate_type" property="operateType" />
        <result column="document_info" property="documentInfo" />
        <result column="nation" property="nation" />
        <result column="edu_level" property="eduLevel" />
        <result column="register_residence" property="registerResidence" />
        <result column="residence" property="residence" />
        <result column="physics_card" property="physicsCard" />
        <result column="id_card" property="idCard" />
        <result column="full_name" property="fullName" />
        <result column="whether_employ" property="whetherEmploy" />
        <result column="birth_date" property="birthDate" />
        <result column="sex" property="sex" />
        <result column="phone_number" property="phoneNumber" />
        <result column="main_position" property="mainPosition" />
        <result column="service_content" property="serviceContent" />
        <result column="dispatch_company" property="dispatchCompany" />
        <result column="security_company" property="securityCompany" />
    </resultMap>

</mapper>
